//*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* StdAfx.h *#*#*#*#*#*#*#*#*# (C) 2000-2005 DekTec
//
// DTAPI: C++ API for DekTec's Digital-Video PCI Cards and USB-2 Adapters
//
// Include file for standard system include files, or project specific include files
// that are used frequently, but are changed infrequently

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Change History -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//  By:   Date:    	Change:
//	RZ	2004.02.17	Adapted for USB devices
//	SD	2000.11.19	Created

#ifndef __STDAFX_H
#define __STDAFX_H

// Standard linux includes
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <memory.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <pthread.h>

// Standard DekTec types
#include "StandardTypes.h"		// Standard types

// DTAPI header first
#include "DTAPI.h"

// Common data driver <-> DTAPI
#include "Dta1xxIoCtl.h"
#include "Dta1xxCodes.h"
#include "Dtu2xxCommon.h"
#include "Dtu2xxCodes.h"
#include "Dta1xxVpd.h"
#include "Dtu2xxVpd.h"

// Other DTAPI headers
#include "DtapiUtility.h"

#endif // #ifndef __STDAFX_H
