//#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* DriverTypes.h *#*#*#*#*#*#*#*# (C) 2000-2006 DEKTEC
//
// Basic types used in Dta1xx WDM device driver.

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Change History -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//	SD	2000.10.08	Created

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Basic Types -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.

typedef signed int				Int;
typedef signed char				Int8;
typedef	signed short			Int16;
typedef	signed long				Int32;
#ifdef __KERNEL__
	typedef __s64				Int64;
#else
	typedef __int64				Int64;
#endif
typedef	signed long				IntPtr;

typedef	unsigned int			UInt;
typedef	unsigned char			UInt8;
typedef unsigned short			UInt16;
typedef unsigned long			UInt32;
#ifdef __KERNEL__
	typedef __u64				UInt64;
#else
	typedef __int64				UInt64;
#endif
typedef unsigned long			UIntPtr;

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif
