//*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* StandardTypes.h *#*#*#*#*#*#*#* (C) 2000-2006 DekTec
//
// Basic type definitions used in all DekTec software for Windows.

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Change History -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//	SD	1999.09.26	Created

#ifndef __STANDARD_TYPES_H
#define __STANDARD_TYPES_H

typedef signed int			Int;
typedef signed char			Int8;
typedef	signed short		Int16;
typedef	signed long			Int32;
typedef	long long			Int64;
typedef	signed int			IntPtr;

typedef	unsigned int		UInt;
typedef	unsigned char		UInt8;
typedef unsigned short		UInt16;
typedef unsigned long		UInt32;
typedef	unsigned long long 	UInt64;
typedef unsigned int		UIntPtr;

typedef	bool		      Bool;
typedef	double		      Double;
typedef float		      Float;

#ifndef NULL
#define NULL 0
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 0
#endif

typedef UInt32		ULONG;
typedef UInt32		DWORD;
typedef Int             HANDLE;
typedef Int             BOOL;

#define _ASSERTE(a)
#define CRITICAL_SECTION Int*

#endif // #ifndef __STANDARD_TYPES_H
