//#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* Helpers.h *#*#*#*#*#*#*#*#*# (C) 2000-2005 DEKTEC

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- License -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//
// This program is free software; You can freely use/modify this source code in any way
// you desire, including for commercial applications.
//

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Change History -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//	MG	21-10-2002	Created	

#ifndef __HELPERS_H
#define __HELPERS_H

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Include files -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

//.-.-.-.-.-.-.-.-.-.-.-.-.-.- Type definitions and constants -.-.-.-.-.-.-.-.-.-.-.-.-.-.

// PCI write/read helpers
#define WRITE_BYTE(val, base, offset)	writeb(val, (char *)base + offset);
#define WRITE_WORD(val, base, offset)	writew(val, (char *)base + offset);
#define WRITE_LONG(val, base, offset)	writel(val, (char *)base + offset);
#define READ_BYTE(val, base, offset)	val = readb((char *)base + offset);
#define READ_WORD(val, base, offset)	val = readw((char *)base + offset);
#define READ_LONG(val, base, offset)	val = readl((char *)base + offset);

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Data declaration -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

#endif //__HELPERS_H
